ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.57 by root, Sat Dec 24 12:55:17 2005 UTC vs.
Revision 1.63 by root, Wed Jan 4 05:24:55 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
4097fi 4098fi
4098 4099
4099fi 4100fi
4100 4101
4101 4102
4103echo "$as_me:$LINENO: checking for sched_yield" >&5
4104echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4105if test "${ac_cv_func_sched_yield+set}" = set; then
4106 echo $ECHO_N "(cached) $ECHO_C" >&6
4107else
4108 cat >conftest.$ac_ext <<_ACEOF
4109/* confdefs.h. */
4110_ACEOF
4111cat confdefs.h >>conftest.$ac_ext
4112cat >>conftest.$ac_ext <<_ACEOF
4113/* end confdefs.h. */
4114/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4115 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4116#define sched_yield innocuous_sched_yield
4117
4118/* System header to define __stub macros and hopefully few prototypes,
4119 which can conflict with char sched_yield (); below.
4120 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4121 <limits.h> exists even on freestanding compilers. */
4122
4123#ifdef __STDC__
4124# include <limits.h>
4125#else
4126# include <assert.h>
4127#endif
4128
4129#undef sched_yield
4130
4131/* Override any gcc2 internal prototype to avoid an error. */
4132#ifdef __cplusplus
4133extern "C"
4134{
4135#endif
4136/* We use char because int might match the return type of a gcc2
4137 builtin and then its argument prototype would still apply. */
4138char sched_yield ();
4139/* The GNU C library defines this for functions which it implements
4140 to always fail with ENOSYS. Some functions are actually named
4141 something starting with __ and the normal name is an alias. */
4142#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4143choke me
4144#else
4145char (*f) () = sched_yield;
4146#endif
4147#ifdef __cplusplus
4148}
4149#endif
4150
4151int
4152main ()
4153{
4154return f != sched_yield;
4155 ;
4156 return 0;
4157}
4158_ACEOF
4159rm -f conftest.$ac_objext conftest$ac_exeext
4160if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4161 (eval $ac_link) 2>conftest.er1
4162 ac_status=$?
4163 grep -v '^ *+' conftest.er1 >conftest.err
4164 rm -f conftest.er1
4165 cat conftest.err >&5
4166 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4167 (exit $ac_status); } &&
4168 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4169 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4170 (eval $ac_try) 2>&5
4171 ac_status=$?
4172 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4173 (exit $ac_status); }; } &&
4174 { ac_try='test -s conftest$ac_exeext'
4175 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4176 (eval $ac_try) 2>&5
4177 ac_status=$?
4178 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4179 (exit $ac_status); }; }; then
4180 ac_cv_func_sched_yield=yes
4181else
4182 echo "$as_me: failed program was:" >&5
4183sed 's/^/| /' conftest.$ac_ext >&5
4184
4185ac_cv_func_sched_yield=no
4186fi
4187rm -f conftest.err conftest.$ac_objext \
4188 conftest$ac_exeext conftest.$ac_ext
4189fi
4190echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4191echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4192if test $ac_cv_func_sched_yield = yes; then
4193 :
4194else
4195 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4196echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4197if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4198 echo $ECHO_N "(cached) $ECHO_C" >&6
4199else
4200 ac_check_lib_save_LIBS=$LIBS
4201LIBS="-lrt $LIBS"
4202cat >conftest.$ac_ext <<_ACEOF
4203/* confdefs.h. */
4204_ACEOF
4205cat confdefs.h >>conftest.$ac_ext
4206cat >>conftest.$ac_ext <<_ACEOF
4207/* end confdefs.h. */
4208
4209/* Override any gcc2 internal prototype to avoid an error. */
4210#ifdef __cplusplus
4211extern "C"
4212#endif
4213/* We use char because int might match the return type of a gcc2
4214 builtin and then its argument prototype would still apply. */
4215char sched_yield ();
4216int
4217main ()
4218{
4219sched_yield ();
4220 ;
4221 return 0;
4222}
4223_ACEOF
4224rm -f conftest.$ac_objext conftest$ac_exeext
4225if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4226 (eval $ac_link) 2>conftest.er1
4227 ac_status=$?
4228 grep -v '^ *+' conftest.er1 >conftest.err
4229 rm -f conftest.er1
4230 cat conftest.err >&5
4231 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4232 (exit $ac_status); } &&
4233 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4234 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4235 (eval $ac_try) 2>&5
4236 ac_status=$?
4237 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4238 (exit $ac_status); }; } &&
4239 { ac_try='test -s conftest$ac_exeext'
4240 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4241 (eval $ac_try) 2>&5
4242 ac_status=$?
4243 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4244 (exit $ac_status); }; }; then
4245 ac_cv_lib_rt_sched_yield=yes
4246else
4247 echo "$as_me: failed program was:" >&5
4248sed 's/^/| /' conftest.$ac_ext >&5
4249
4250ac_cv_lib_rt_sched_yield=no
4251fi
4252rm -f conftest.err conftest.$ac_objext \
4253 conftest$ac_exeext conftest.$ac_ext
4254LIBS=$ac_check_lib_save_LIBS
4255fi
4256echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4257echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4258if test $ac_cv_lib_rt_sched_yield = yes; then
4259 LIBS="$LIBS -lrt"
4260fi
4261
4262fi
4263
4264
4265echo "$as_me:$LINENO: checking for sched_yield support" >&5
4266echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4267cat >conftest.$ac_ext <<_ACEOF
4268/* confdefs.h. */
4269_ACEOF
4270cat confdefs.h >>conftest.$ac_ext
4271cat >>conftest.$ac_ext <<_ACEOF
4272/* end confdefs.h. */
4273#include <sched.h>
4274int
4275main ()
4276{
4277sched_yield ()
4278 ;
4279 return 0;
4280}
4281_ACEOF
4282rm -f conftest.$ac_objext conftest$ac_exeext
4283if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4284 (eval $ac_link) 2>conftest.er1
4285 ac_status=$?
4286 grep -v '^ *+' conftest.er1 >conftest.err
4287 rm -f conftest.er1
4288 cat conftest.err >&5
4289 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4290 (exit $ac_status); } &&
4291 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4292 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4293 (eval $ac_try) 2>&5
4294 ac_status=$?
4295 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4296 (exit $ac_status); }; } &&
4297 { ac_try='test -s conftest$ac_exeext'
4298 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4299 (eval $ac_try) 2>&5
4300 ac_status=$?
4301 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4302 (exit $ac_status); }; }; then
4303 echo "$as_me:$LINENO: result: yes" >&5
4304echo "${ECHO_T}yes" >&6
4305
4306cat >>confdefs.h <<\_ACEOF
4307#define HAVE_SCHED_YIELD 1
4308_ACEOF
4309
4310else
4311 echo "$as_me: failed program was:" >&5
4312sed 's/^/| /' conftest.$ac_ext >&5
4313
4314echo "$as_me:$LINENO: result: no" >&5
4315echo "${ECHO_T}no" >&6
4316fi
4317rm -f conftest.err conftest.$ac_objext \
4318 conftest$ac_exeext conftest.$ac_ext
4319
4102 4320
4103MALLOC_TYPE=S 4321MALLOC_TYPE=S
4104 4322
4105support_addstrings=no 4323support_addstrings=no
4106support_frills=yes 4324support_frills=yes
4107support_inheritpixmap=no 4325support_inheritpixmap=yes
4108support_tinting=yes 4326support_tinting=yes
4109support_fading=yes 4327support_fading=yes
4110support_keepscrolling=yes 4328support_keepscrolling=yes
4111support_selectionscrolling=yes 4329support_selectionscrolling=yes
4112support_menubar=no 4330support_menubar=no
4120support_scroll_rxvt=yes 4338support_scroll_rxvt=yes
4121support_scroll_next=yes 4339support_scroll_next=yes
4122support_scroll_xterm=yes 4340support_scroll_xterm=yes
4123support_scroll_plain=yes 4341support_scroll_plain=yes
4124support_xim=yes 4342support_xim=yes
4125support_xpm=no 4343support_xpm=yes
4126support_xft=yes 4344support_xft=yes
4127support_unicode3=no 4345support_unicode3=no
4128support_combining=yes 4346support_combining=yes
4129support_8bitctrls=no 4347support_8bitctrls=no
4130support_iso14755=yes 4348support_iso14755=yes
4131support_styles=yes 4349support_styles=yes
4350support_perl=yes
4132codesets=all 4351codesets=all
4133 4352
4134 4353
4135if test "x$enable_shared" = xyes; then 4354if test "x$enable_shared" = xyes; then
4136 4355
4172 support_unicode3=no 4391 support_unicode3=no
4173 support_combining=no 4392 support_combining=no
4174 support_8bitctrls=no 4393 support_8bitctrls=no
4175 support_iso14755=no 4394 support_iso14755=no
4176 support_styles=no 4395 support_styles=no
4396 support_perl=no
4177 codesets= 4397 codesets=
4178 fi 4398 fi
4179 if test x$enableval = xyes; then 4399 if test x$enableval = xyes; then
4180 support_24bit=yes 4400 support_24bit=yes
4181 support_frills=yes 4401 support_frills=yes
4202 support_unicode3=yes 4422 support_unicode3=yes
4203 support_combining=yes 4423 support_combining=yes
4204 #support_8bitctrls=yes 4424 #support_8bitctrls=yes
4205 support_iso14755=yes 4425 support_iso14755=yes
4206 support_styles=yes 4426 support_styles=yes
4427 support_perl=yes
4207 codesets=all 4428 codesets=all
4208 fi 4429 fi
4209 4430
4210fi; 4431fi;
4211 4432
4324# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given. 4545# Check whether --enable-xterm-scroll or --disable-xterm-scroll was given.
4325if test "${enable_xterm_scroll+set}" = set; then 4546if test "${enable_xterm_scroll+set}" = set; then
4326 enableval="$enable_xterm_scroll" 4547 enableval="$enable_xterm_scroll"
4327 if test x$enableval = xyes -o x$enableval = xno; then 4548 if test x$enableval = xyes -o x$enableval = xno; then
4328 support_scroll_xterm=$enableval 4549 support_scroll_xterm=$enableval
4550 fi
4551fi;
4552
4553# Check whether --enable-perl or --disable-perl was given.
4554if test "${enable_perl+set}" = set; then
4555 enableval="$enable_perl"
4556 if test x$enableval = xyes -o x$enableval = xno; then
4557 support_perl=$enableval
4329 fi 4558 fi
4330fi; 4559fi;
4331 4560
4332# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4561# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4333if test "${enable_plain_scroll+set}" = set; then 4562if test "${enable_plain_scroll+set}" = set; then
11956 12185
11957fi 12186fi
11958 12187
11959if test x$support_xft = xyes; then 12188if test x$support_xft = xyes; then
11960 LIBS="$LIBS `pkg-config xft --libs`" 12189 LIBS="$LIBS `pkg-config xft --libs`"
11961 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
11962 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12190 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
11963 12191
11964 12192
11965for ac_header in X11/Xft/Xft.h 12193for ac_header in X11/Xft/Xft.h
11966do 12194do
12424#define ENCODING_ZH_EXT 1 12652#define ENCODING_ZH_EXT 1
12425_ACEOF 12653_ACEOF
12426 ;; 12654 ;;
12427 esac 12655 esac
12428done 12656done
12657
12658IF_PERL=\#
12659if test x$support_perl = xyes; then
12660 # Extract the first word of "perl5", so it can be a program name with args.
12661set dummy perl5; ac_word=$2
12662echo "$as_me:$LINENO: checking for $ac_word" >&5
12663echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12664if test "${ac_cv_path_PERL+set}" = set; then
12665 echo $ECHO_N "(cached) $ECHO_C" >&6
12666else
12667 case $PERL in
12668 [\\/]* | ?:[\\/]*)
12669 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12670 ;;
12671 *)
12672 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12673for as_dir in $PATH
12674do
12675 IFS=$as_save_IFS
12676 test -z "$as_dir" && as_dir=.
12677 for ac_exec_ext in '' $ac_executable_extensions; do
12678 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12679 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12680 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12681 break 2
12682 fi
12683done
12684done
12685
12686 ;;
12687esac
12688fi
12689PERL=$ac_cv_path_PERL
12690
12691if test -n "$PERL"; then
12692 echo "$as_me:$LINENO: result: $PERL" >&5
12693echo "${ECHO_T}$PERL" >&6
12694else
12695 echo "$as_me:$LINENO: result: no" >&5
12696echo "${ECHO_T}no" >&6
12697fi
12698
12699 # Extract the first word of "perl", so it can be a program name with args.
12700set dummy perl; ac_word=$2
12701echo "$as_me:$LINENO: checking for $ac_word" >&5
12702echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12703if test "${ac_cv_path_PERL+set}" = set; then
12704 echo $ECHO_N "(cached) $ECHO_C" >&6
12705else
12706 case $PERL in
12707 [\\/]* | ?:[\\/]*)
12708 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12709 ;;
12710 *)
12711 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12712for as_dir in $PATH
12713do
12714 IFS=$as_save_IFS
12715 test -z "$as_dir" && as_dir=.
12716 for ac_exec_ext in '' $ac_executable_extensions; do
12717 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12718 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12719 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12720 break 2
12721 fi
12722done
12723done
12724
12725 ;;
12726esac
12727fi
12728PERL=$ac_cv_path_PERL
12729
12730if test -n "$PERL"; then
12731 echo "$as_me:$LINENO: result: $PERL" >&5
12732echo "${ECHO_T}$PERL" >&6
12733else
12734 echo "$as_me:$LINENO: result: no" >&5
12735echo "${ECHO_T}no" >&6
12736fi
12737
12738
12739 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12740echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12741 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12742
12743 save_CXXFLAGS="$CXXFLAGS"
12744 save_LIBS="$LIBS"
12745 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12746 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12747 cat >conftest.$ac_ext <<_ACEOF
12748/* confdefs.h. */
12749_ACEOF
12750cat confdefs.h >>conftest.$ac_ext
12751cat >>conftest.$ac_ext <<_ACEOF
12752/* end confdefs.h. */
12753
12754#include <EXTERN.h>
12755#include <perl.h>
12756#include <XSUB.h>
12757
12758int
12759main ()
12760{
12761
12762 PerlInterpreter *perl = perl_alloc ();
12763
12764 ;
12765 return 0;
12766}
12767_ACEOF
12768rm -f conftest.$ac_objext conftest$ac_exeext
12769if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12770 (eval $ac_link) 2>conftest.er1
12771 ac_status=$?
12772 grep -v '^ *+' conftest.er1 >conftest.err
12773 rm -f conftest.er1
12774 cat conftest.err >&5
12775 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12776 (exit $ac_status); } &&
12777 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12778 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12779 (eval $ac_try) 2>&5
12780 ac_status=$?
12781 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12782 (exit $ac_status); }; } &&
12783 { ac_try='test -s conftest$ac_exeext'
12784 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12785 (eval $ac_try) 2>&5
12786 ac_status=$?
12787 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12788 (exit $ac_status); }; }; then
12789 rxvt_perl_link=yes
12790else
12791 echo "$as_me: failed program was:" >&5
12792sed 's/^/| /' conftest.$ac_ext >&5
12793
12794rxvt_perl_link=no
12795fi
12796rm -f conftest.err conftest.$ac_objext \
12797 conftest$ac_exeext conftest.$ac_ext
12798 CXXFLAGS="$save_CXXFLAGS"
12799 LIBS="$save_LIBS"
12800
12801 if test x$rxvt_perl_link = xyes; then
12802 echo "$as_me:$LINENO: result: ok" >&5
12803echo "${ECHO_T}ok" >&6
12804
12805cat >>confdefs.h <<\_ACEOF
12806#define ENABLE_PERL 1
12807_ACEOF
12808
12809 IF_PERL=
12810 PERL_O=rxvtperl.o
12811 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12812 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12813 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12814 else
12815 support_perl=no
12816 echo "$as_me:$LINENO: result: no, unable to link" >&5
12817echo "${ECHO_T}no, unable to link" >&6
12818 fi
12819 else
12820 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12821echo "$as_me: error: no working perl found" >&2;}
12822 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12823 support_perl=no
12824 fi
12825fi
12826
12827
12828
12829
12830
12831
12429 12832
12430 12833
12431CFLAGS=${CFLAGS--O} 12834CFLAGS=${CFLAGS--O}
12432LDFLAGS=${LDFLAGS--O} 12835LDFLAGS=${LDFLAGS--O}
12433 12836
13214s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13617s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13215s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13618s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13216s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13619s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13217s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13620s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13218s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13621s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13622s,@PERL@,$PERL,;t t
13623s,@PERLLIB@,$PERLLIB,;t t
13624s,@PERLFLAGS@,$PERLFLAGS,;t t
13625s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13626s,@IF_PERL@,$IF_PERL,;t t
13627s,@PERL_O@,$PERL_O,;t t
13219s,@DEBUG@,$DEBUG,;t t 13628s,@DEBUG@,$DEBUG,;t t
13220s,@DINCLUDE@,$DINCLUDE,;t t 13629s,@DINCLUDE@,$DINCLUDE,;t t
13221s,@DLIB@,$DLIB,;t t 13630s,@DLIB@,$DLIB,;t t
13222s,@include_stdint_h@,$include_stdint_h,;t t 13631s,@include_stdint_h@,$include_stdint_h,;t t
13223s,@include_stdarg_h@,$include_stdarg_h,;t t 13632s,@include_stdarg_h@,$include_stdarg_h,;t t
13764 utmp file: $rxvt_cv_path_utmp 14173 utmp file: $rxvt_cv_path_utmp
13765 utmpx file: $rxvt_cv_path_utmpx 14174 utmpx file: $rxvt_cv_path_utmpx
13766 wtmp file: $rxvt_cv_path_wtmp 14175 wtmp file: $rxvt_cv_path_wtmp
13767 wtmpx file: $rxvt_cv_path_wtmpx 14176 wtmpx file: $rxvt_cv_path_wtmpx
13768 lastlog file: $rxvt_cv_path_lastlog 14177 lastlog file: $rxvt_cv_path_lastlog
13769 ttys/ttytab file: $rxvt_cv_path_ttytab" 14178 ttys/ttytab file: $rxvt_cv_path_ttytab
14179 embedded perl: $support_perl"
13770 echo 14180 echo
13771fi 14181fi
13772if test x$term != x; then 14182if test x$term != x; then
13773 echo " set TERM to: $term" 14183 echo " set TERM to: $term"
13774fi 14184fi

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines